MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023347Community[OCCT] OCCT:DRAWpublic2012-07-25 19:342012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023347: Expression '(* q == ' ') && (* q == '\t')' is always false. Probably the '||' operator should be used here.
DescriptionIn Draw_VariableCommands.cxx, line 1039.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021153)
Pawel (developer)
2012-07-25 19:36

Corresponding git branch pushed. Please review.
(0021171)
abv (manager)
2012-07-27 08:54

No remarks, please test
(0021187)
apn (administrator)
2012-07-31 09:48
edited on: 2012-07-31 09:59

Dear BugMaster,
Branch CR23347 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

Unstable test case:
offset shape_type_i D6 - it was modified in last version of trunk.


- Related Changesets
occt: master d4a137d5
Timestamp: 2012-07-25 15:35:26
Author: Pawel
Details ] Diff ]
0023347: Expression '(* q == ' ') && (* q == '\t')' is always false. Probably the '||' operator should be used here.

Replacing '&&' with '||'.
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-25 19:34 Pawel New Issue
2012-07-25 19:34 Pawel Assigned To => Pawel
2012-07-25 19:36 Pawel Note Added: 0021153
2012-07-25 19:36 Pawel Assigned To Pawel => bugmaster
2012-07-25 19:36 Pawel Status new => resolved
2012-07-27 08:54 abv Note Added: 0021171
2012-07-27 08:54 abv Status resolved => reviewed
2012-07-31 09:48 apn Note Added: 0021187
2012-07-31 09:48 apn Test case number => Not needed
2012-07-31 09:48 apn Status reviewed => tested
2012-07-31 09:59 apn Note Edited: 0021187 View Revisions
2012-08-06 16:35 Pawel Changeset attached => occt master d4a137d5
2012-08-06 16:35 Pawel Assigned To bugmaster => Pawel
2012-08-06 16:35 Pawel Status tested => verified
2012-08-06 16:35 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker